#ifndef GROUP_H
#define GROUP_H

#include <QWidget>
#include "CameraMaterialGroupWnd/MaterialWindow/Wafer.h"
#include "CameraMaterialGroupWnd/MaterialWindow/Waffle.h"
#include "CameraMaterialGroupWnd/MaterialWindow/MaterialBox.h"

namespace Ui {
class Group;
}

class Group : public QWidget
{
    Q_OBJECT

public:
    // 相机ID 实时图片 物料窗口类型 下拉框文本
    explicit Group(int Id, const QString& imagePath1, int MaterialWindowType, const QStringList& textList, QWidget* parent);
    ~Group();

    void initForm();
    bool eventFilter(QObject *obj, QEvent *event);
    void saveGroupSettings(int Id, const QString& imagePath1, int materialWndType, const QStringList& textList);

signals:
    void sendSignal();
public slots:
    void onclickbutton();
protected:
    void WaferWidget(); // 圆晶
    void WaffleWidget(); // 华夫盒
    void MaterialBoxWidget(); // 料盒

private:
    Ui::Group *ui;

    Wafer *wafer; // 声明Wafer指针
    Waffle *waffle; // 声明Waffle指针
    MaterialBox *materialbox; // 声明materialbox指针
};

#endif // GROUP_H
